Magento • ERROR: unable to unpack

Article ID #1068
Revision: 1.8
Last update: 2011-10-16

Applies to Magento 1.4 installations

For Magento 1.5 version and above please check this article


The following error (or similar) is shown in Magento Connect Manager on installation/upgrade:


ERROR: unable to unpack downloader/pearlib/download/AW_Blog-1.0.21.tgz



There is a bug in current stable PEAR/Archive_Tar implementation resulting in impossibility to unpack archives made by certain software versions.



To fix it simply replace downloader/pearlib/php/Archive/Tar.php file with a patched version  or apply a patch from


The patch has been already applied for our new installations. If you notice this issue with your old Magento installation, please notify our Support Team to get this fixed.


Did this article help you solve your issue?

Average rating: 4.38 (26 votes)

completely useless 1 2 3 4 5 most valuable

Tags: , ,